Support » Plugin: Custom Meta Widget » Use of deprecated constructor

  • Resolved dsmiller

    (@dsmiller)


    As noted some weeks ago in the forum, this plugin uses a deprecated constructor. For now, it appears to be benign, but warnings will appear if WP_DEBUG is set. And, since the deprecation is related to changes in PHP, if a server is using PHP 7, the plugin may not work at all.

    This should be corrected (I’ve already supplied some code to address the issue) soon.

    https://wordpress.org/plugins/custom-meta-widget/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Luke Mlsna

    (@bitacre)

    Your fix pushed in 1.4.8 w/ credit, thanks.

    Well done…your action in making the update was all the reward I was looking for. Several other authors of popular plugins still haven’t fixed this constructor issue.

    Plugin Author Luke Mlsna

    (@bitacre)

    Thanks for bringing it to my attention; and thanks 100x more for providing a patch instead of just a complaint.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Use of deprecated constructor’ is closed to new replies.